export const SUBMIT                       = 'on-submit';
export const BEFORE_SUBMIT                = 'before-submit';
export const AFTER_SUBMIT                 = 'after-submit';
export const ON_CHANGE                    = 'on-change';
export const ON_VALID_CHANGE              = 'on-valid-change';
export const BEFORE_VALIDATE              = 'before-validate';
export const AFTER_VALIDATE               = 'after-validate';
export const VALIDATOR_CONTROL_FUNCTIONS  = 'validator-control-function';
export const CONTROL_NAME                 = 'control-name';
export const ADD_IF                       = 'add-if';
export const REMOVE_IF                    = 'remove-if';
export const REQUIRED_IF                  = 'required-if';
export const DISABLED_IF                  = 'disabled-if';
export const READONLY_IF                  = 'readonly-if';
export const REQUIRED                     = 'required';
export const DISABLED                     = 'disabled';
export const READONLY                     = 'readonly';
export const DEPEND_ON                    = 'depend-on';
export const MAX                          = 'max';
export const MIN                          = 'min';
export const ALLOW_CHARACTERS             = 'allow-characters';
export const PLACEHOLDER                  = 'placeholder';
export const LABEL                        = 'label';
export const PLACEHOLDER_IF               = 'placeholder-if';
export const LABEL_IF                     = 'label-if';
export const ERROR_MSG                    = 'error-msg';
export const SUB_GROUP                    = 'sub-group';
export const OPTIONS                      = 'options';
export const DEFAULT                      = 'default';
export const MULTI_SUB_GROUP              = 'multi-sub-group';
export const DESIGN_TYPE                  = 'design:type';
export const MULTI_SUB_GROUP_NAME_MAPPING = '__multiSubGroupNameMapping';
export const MULTI_SUB_GROUPS_PROPERTY    = '__multi-sub-groups';
export const SUB_GROUPS_PROPERTY          = '__sub-groups';
export const DEFAULT_IF                   = 'default-if';
export const OPTIONS_IF                   = 'options-if';
export const OPTIONS_BEHAVIOR_SUBJECT     = 'options-behavior-subject';
export const FORCE_TYPE                   = 'force-type';
export const ON_INIT                      = 'on-init';
export const DERIVED                      = 'derived';
export const ADD_VALIDATOR                = 'add-validator';
